After upgrading PHP from 4.4.1 to 4.4.2 from the slackware-current repository, the mysql extension couldn't get loaded at all. When I opened my forum,there was a blank screen,when I opened phpMyAdmin it said that it couldn't properly load the mysql extenstion. I also upgraded Apache,but DIDN'T upgrade mysql ( 4.1.14 > 5.0.18 ). The only way out was to downgrade PHP to 4.4.1 again. Really confusing...could it be that the PHP from the slackware-current repository is configured towards MySQL 5.0.18 or something else?

Thanks.